Rollback to a ZFS snapshot
POST
/zfs/datasets/snapshot/{guid}/rollback
const url = 'https://sylve.lan:8181/api/zfs/datasets/snapshot/example/rollback';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"destroyMoreRecent":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/zfs/datasets/snapshot/example/rollback \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "destroyMoreRecent": true }'Rollback to a ZFS snapshot
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”guid
required
string
Snapshot GUID
Request Body
Section titled “Request Body”Rollback Snapshot Request
Media typeapplication/json
object
destroyMoreRecent
boolean
Examplegenerated
{ "destroyMoreRecent": true}Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Conflict
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}